/****************************************************************************
Copyright (C) Hosiden Corporation 2022
*/
/*!
* @file template_file.c
* @defgroup template_file template_file
* @brief
* @version 0.0.0
* @author Program Keiichi Suda
* @author Authorizer Hirofumi Inoue
*****************************************************************************/

/* Include files ************************************************************/

#include "wiced.h"
#include "wiced_bt_dev.h"
#include "wiced_app.h"
#include "sparcommon.h"
#include "wiced_bt_trace.h"
#include "headset_control.h"
#include "headset_control_le.h"
#include "wiced_hal_i2c.h"
#include "wiced_hal_gpio.h"
#include "wiced_rtos.h"
#include "cxd3782_control.h"
#include "wiced_sleep.h"
/* Macro definitions ********************************************************/

/* Function-like macro definitions ******************************************/


/* Type definitions *********************************************************/


/* Simple data types *********/


/* Enumeration ***************/


/* Structures and unions *****/


/* Variables ****************************************************************/

/* Global functions *********************************************************/

void cxd3784_initial(void)
{
	//Power management
	wiced_hal_gpio_configure_pin(6, GPIO_OUTPUT_ENABLE, 1);
	wiced_hal_gpio_configure_pin(4, GPIO_OUTPUT_ENABLE, 1);
	wiced_rtos_delay_milliseconds(15, KEEP_THREAD_ACTIVE);
	wiced_hal_gpio_configure_pin(1, GPIO_OUTPUT_ENABLE, 1);
	wiced_rtos_delay_milliseconds(15, KEEP_THREAD_ACTIVE);
	wiced_hal_gpio_configure_pin(33, GPIO_OUTPUT_ENABLE, 1);

    wiced_hal_i2c_init();
    wiced_hal_i2c_select_pads(17, 7);
    wiced_hal_i2c_set_speed(53);//53 400kHz
}

/****************************************************************************/

/*! @} */
/* end of file */
