/*******************************************************************************
* File Name: cycfg_pins.c
*
* Description:
* Pin configuration
* This file was automatically generated and should not be modified.
* 20721B2 CSP 4.0.0.47246
* Configurator Backend 3.0.0
*
********************************************************************************
* Copyright 2022 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#include "cycfg_pins.h"

#define BUTTON_CUSTOM_config \
{\
    .gpio = (wiced_bt_gpio_numbers_t*)&platform_gpio_pins[PLATFORM_GPIO_0].gpio_pin, \
    .config = GPIO_INPUT_ENABLE | GPIO_PULL_UP, \
    .default_state = GPIO_PIN_OUTPUT_HIGH, \
    .button_pressed_value = GPIO_PIN_OUTPUT_LOW, \
}
#define SPI_CS_config \
{\
    .gpio = (wiced_bt_gpio_numbers_t*)&platform_gpio_pins[PLATFORM_GPIO_5].gpio_pin, \
    .config = GPIO_OUTPUT_ENABLE | GPIO_PULL_UP, \
    .default_state = GPIO_PIN_OUTPUT_HIGH, \
 }
#define BUTTON_VOL_DN_config \
{\
    .gpio = (wiced_bt_gpio_numbers_t*)&platform_gpio_pins[PLATFORM_GPIO_12].gpio_pin, \
    .config = GPIO_INPUT_ENABLE | GPIO_PULL_UP, \
    .default_state = GPIO_PIN_OUTPUT_HIGH, \
    .button_pressed_value = GPIO_PIN_OUTPUT_LOW, \
}
#define BUTTON_VOL_UP_config \
{\
    .gpio = (wiced_bt_gpio_numbers_t*)&platform_gpio_pins[PLATFORM_GPIO_13].gpio_pin, \
    .config = GPIO_INPUT_ENABLE | GPIO_PULL_UP, \
    .default_state = GPIO_PIN_OUTPUT_HIGH, \
    .button_pressed_value = GPIO_PIN_OUTPUT_LOW, \
}

const wiced_platform_gpio_t platform_gpio_pins[] = 
{
    [PLATFORM_GPIO_0] = {WICED_P02, WICED_GPIO},//2022/12/8 change Default WICED_P00
    [PLATFORM_GPIO_1] = {WICED_P28, audio_0_di_in_0_TRIGGER_IN},//2022/12/8 change Default WICED_P04
    [PLATFORM_GPIO_2] = {WICED_P10, audio_0_do_out_0_TRIGGER_IN},//2022/12/8 change Default WICED_P06
    [PLATFORM_GPIO_3] = {WICED_P29, audio_0_clk_0_TRIGGER_IN},//2022/12/8 change Default WICED_P07
    [PLATFORM_GPIO_4] = {WICED_P00, audio_0_ws_sync_0_TRIGGER_IN},//2022/12/8 change Default WICED_P10
    //[PLATFORM_GPIO_5] = {WICED_P16, WICED_GPIO},
    //[PLATFORM_GPIO_6] = {WICED_P17, amplifiers_0_rx_pu_0_TRIGGER_IN},
    //[PLATFORM_GPIO_7] = {WICED_P38, spi_1_clk_0_TRIGGER_IN},
    //[PLATFORM_GPIO_8] = {WICED_P26, amplifiers_0_tx_pu_0_TRIGGER_IN},
    //[PLATFORM_GPIO_9] = {WICED_P28, spi_1_mosi_0_TRIGGER_IN},
    //[PLATFORM_GPIO_10] = {WICED_P29, spi_1_miso_0_TRIGGER_IN},
    [PLATFORM_GPIO_11] = {WICED_P34, uart_1_txd_0_TRIGGER_IN},//2022/12/8 change Default WICED_P33
    //[PLATFORM_GPIO_12] = {WICED_P33, WICED_GPIO},
    [PLATFORM_GPIO_13] = {WICED_P25, WICED_GPIO},//2022/12/8 change Default WICED_P38
};
const size_t platform_gpio_pin_count = (sizeof(platform_gpio_pins) / sizeof(wiced_platform_gpio_t));
const wiced_platform_led_config_t platform_led[] = 
{
};
const size_t led_count = (sizeof(platform_led) / sizeof(wiced_platform_led_config_t));
const wiced_platform_button_config_t platform_button[] = 
{
    [WICED_PLATFORM_BUTTON_1] = BUTTON_CUSTOM_config,
    [WICED_PLATFORM_BUTTON_2] = BUTTON_VOL_DN_config,
    [WICED_PLATFORM_BUTTON_3] = BUTTON_VOL_UP_config,
};
const size_t button_count = (sizeof(platform_button) / sizeof(wiced_platform_button_config_t));
const wiced_platform_gpio_config_t platform_gpio[] = 
{
    [WICED_PLATFORM_GPIO_1] = SPI_CS_config,
};
const size_t gpio_count = (sizeof(platform_gpio) / sizeof(wiced_platform_gpio_config_t));

